org.apache.olingo.commons.api.edm.constants

## Enum EdmTypeKind

- java.lang.Object
- - java.lang.Enum<EdmTypeKind>
  - - org.apache.olingo.commons.api.edm.constants.EdmTypeKind

- All Implemented Interfaces:
    Serializable, Comparable<EdmTypeKind>

      public enum EdmTypeKind
      extends Enum<EdmTypeKind>

  EdmTypeKind specifies the type of an EDM element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION` Action type
    `COMPLEX` Complex type
    `DEFINITION` Type definition
    `ENTITY` Entity type
    `ENUM` Enum type
    `FUNCTION` Function type
    `NAVIGATION` Navigation property type
    `PRIMITIVE` Primitive type

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmTypeKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmTypeKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIMITIVE

          public static final EdmTypeKind PRIMITIVE

      Primitive type

    - #### ENUM

          public static final EdmTypeKind ENUM

      Enum type

    - #### DEFINITION

          public static final EdmTypeKind DEFINITION

      Type definition

    - #### COMPLEX

          public static final EdmTypeKind COMPLEX

      Complex type

    - #### ENTITY

          public static final EdmTypeKind ENTITY

      Entity type

    - #### NAVIGATION

          public static final EdmTypeKind NAVIGATION

      Navigation property type

    - #### ACTION

          public static final EdmTypeKind ACTION

      Action type

    - #### FUNCTION

          public static final EdmTypeKind FUNCTION

      Function type

  - ### Method Detail

    - #### values

          public static EdmTypeKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmTypeKind c : EdmTypeKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmTypeKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.